move kernel deb install into chroot, fixes multi archs like precise-armel and precise-armhf

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
pull/8/head
Robert Nelson 13 years ago
parent 18b7e39801
commit 94e8dd2e81

@ -29,7 +29,9 @@ else
fi fi
fi fi
#Process Correct Kernel Image: #Install Correct Kernel Image:
dpkg -x /boot/uboot/linux-image-*_1.0*_arm*.deb /
update-initramfs -c -k `uname -r` update-initramfs -c -k `uname -r`
mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uboot/uInitrd mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uboot/uInitrd
mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d /boot/vmlinuz-`uname -r` /boot/uboot/uImage mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d /boot/vmlinuz-`uname -r` /boot/uboot/uImage
rm -f /boot/uboot/linux-image-*_1.0*_arm*.deb || true

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7 index 0000000..6d06fc7
--- /dev/null --- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap +++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,34 @@ @@ -0,0 +1,30 @@
+#!/bin/sh -e +#!/bin/sh -e
+cp /etc/e2fsck.conf /target/etc/e2fsck.conf +cp /etc/e2fsck.conf /target/etc/e2fsck.conf
+cp /etc/finish-install.sh /target/etc/finish-install.sh +cp /etc/finish-install.sh /target/etc/finish-install.sh
@ -15,10 +15,6 @@ index 0000000..6d06fc7
+ +
+ mount /dev/mmcblk0p1 /target/boot/uboot + mount /dev/mmcblk0p1 /target/boot/uboot
+ +
+ #Install kernel image deb
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /target/boot/uboot/linux-image-*_1.0*_arm*.deb /target/
+ rm -f /target/boot/uboot/linux-image-*_1.0*_arm*.deb || true
+
+ #smsc95xx kevent workaround/hack + #smsc95xx kevent workaround/hack
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf + echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
+ +

@ -60,7 +60,9 @@ apt-get remove -y u-boot-linaro* || true
apt-get remove -y x-loader-omap* || true apt-get remove -y x-loader-omap* || true
apt-get remove -y flash-kernel || true apt-get remove -y flash-kernel || true
#Process Correct Kernel Image: #Install Correct Kernel Image:
dpkg -x /boot/uboot/linux-image-*_1.0*_arm*.deb /
update-initramfs -c -k `uname -r` update-initramfs -c -k `uname -r`
mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uboot/uInitrd mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uboot/uInitrd
mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d /boot/vmlinuz-`uname -r` /boot/uboot/uImage mkimage -A arm -O linux -T kernel -C none -a ZRELADD -e ZRELADD -n `uname -r` -d /boot/vmlinuz-`uname -r` /boot/uboot/uImage
rm -f /boot/uboot/linux-image-*_1.0*_arm*.deb || true

@ -3,7 +3,7 @@ new file mode 100755
index 0000000..6d06fc7 index 0000000..6d06fc7
--- /dev/null --- /dev/null
+++ b/usr/lib/finish-install.d/08rcn-omap +++ b/usr/lib/finish-install.d/08rcn-omap
@@ -0,0 +1,31 @@ @@ -0,0 +1,27 @@
+#!/bin/sh -e +#!/bin/sh -e
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf +cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
+cp /etc/SERIAL.conf /target/etc/init/SERIAL.conf +cp /etc/SERIAL.conf /target/etc/init/SERIAL.conf
@ -16,10 +16,6 @@ index 0000000..6d06fc7
+ +
+ mount /dev/mmcblk0p1 /target/boot/uboot + mount /dev/mmcblk0p1 /target/boot/uboot
+ +
+ #Install kernel image deb
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /target/boot/uboot/linux-image-*_1.0*_arm*.deb /target/
+ rm -f /target/boot/uboot/linux-image-*_1.0*_arm*.deb || true
+
+ #smsc95xx kevent workaround/hack + #smsc95xx kevent workaround/hack
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf + echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
+ +

Loading…
Cancel
Save